Module java.desktop
Package javax.swing.plaf

## Class IconUIResource

- java.lang.Object
- - javax.swing.plaf.IconUIResource

All Implemented Interfaces:
  `Serializable`, `Icon`, `UIResource`

    public class IconUIResource
    extends Object
    implements Icon, UIResource, Serializable

An Icon wrapper class which implements UIResource. UI classes which set icon properties should use this class to wrap any icons specified as defaults. This class delegates all method invocations to the Icon "delegate" object specified at construction.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  `UIResource`, Serialized Form

### Constructor Summary

Constructors
`IconUIResource​(Icon delegate)` Creates a UIResource icon object which wraps an existing Icon instance.

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.Icon

`getIconHeight, getIconWidth, paintIcon`

### Constructor Detail

#### IconUIResource

    public IconUIResource​(Icon delegate)

Creates a UIResource icon object which wraps an existing Icon instance.

Parameters:
  `delegate` - the icon being wrapped